Unable to access Application Vault: Can't open lib '/usr/lib64/libmyodbc5.so' : file not found

Created:

2016-11-16 13:05:13 UTC

Modified:

2017-08-17 14:37:10 UTC

1

Was this article helpful?


Have more questions?

Submit a request

Unable to access Application Vault: Can't open lib '/usr/lib64/libmyodbc5.so' : file not found

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux
  • Plesk 11.x for Linux
  • Plesk 12.0 for Windows
  • Plesk 12.0 for Linux
  • Plesk 10.x for Linux

Symptoms

Unable to open WordPress Toolkit, Application Vault and domain's Applications menu with:

[unixODBC][Driver Manager]Can't open lib '/usr/lib64/libmyodbc5.so' : file not found

Backup warning occurs:

WARNING: (domain object 'example.com') Unable to get APS instances on webspace id 13 (ErrorCode: 1, STDOUT:)

File /usr/lib64/libmyodbc5.so is missing:

# ll /usr/lib64/libmyodbc5.so
ls: cannot access /usr/lib64/libmyodbc5.so: No such file or directory

Cause

Library file /usr/lib64/libmyodbc5.so is missing but it is required on a system:

    # rpm -qf /usr/lib64/libmyodbc5.so
mysql-connector-odbc-5.1.5r1144-7.el6.x86_64

Resolution

Create the required file:

 # ln -s /usr/lib64/libmyodbc5w.so /usr/lib64/libmyodbc5.so

Or reinstall mysql-connector-odbc package with command like below:

 # rpm -Uvh mysql-connector-odbc-5.1.5.rpm --force


If mysql-connector-odbc version differs from 5.1.5 Perform upgrade or downgrade of mysql-connector-odbc to version 5.1.5:

  1. Determine which version of ODBC connector is installed:
    # rpm -qa | grep "mysql-connector-odbc"
  2. Perform upgrade or downgrade of mysql-connector-odbc to version 5.1.5

For CloudLinux 6.9:

# yum downgrade mysql-connector-odbc-5.1.5-1.el6.x86_64

OR

# yum upgrade mysql-connector-odbc-5.1.5-1.el6.x86_64

For CentOS 6.9:

# yum downgrade mysql-connector-odbc-5.1.5r1144-7.el6.x86_644

OR

# yum upgrade mysql-connector-odbc-5.1.5r1144-7.el6.x86_64
Have more questions? Submit a request
Please sign in to leave a comment.